Index: .bzrignore
===================================================================
--- .bzrignore	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ .bzrignore	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -2,2 +2,3 @@
 config.h
 bitlbee
+debian
Index: Makefile
===================================================================
--- Makefile	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ Makefile	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -10,5 +10,5 @@
 
 # Program variables
-objects = account.o bitlbee.o commands.o conf.o crypting.o help.o ini.o irc.o log.o nick.o query.o set.o unix.o url.o user.o debug.o
+objects = account.o bitlbee.o commands.o conf.o crypting.o help.o ini.o irc.o log.o nick.o query.o set.o unix.o url.o user.o
 subdirs = protocols
 
Index: bitlbee.c
===================================================================
--- bitlbee.c	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ bitlbee.c	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -41,6 +41,4 @@
 		                     &size );
 	
-	count_io_event(source, "main");
-	
 	log_message( LOGLVL_INFO, "Creating new connection with fd %d.", new_socket );
 	irc_new( new_socket );
@@ -125,6 +123,4 @@
 	int st;
 	
-	count_io_event(source, "main");
-
 	if( condition & G_IO_ERR || condition & G_IO_HUP )
 	{
@@ -181,6 +177,4 @@
 	time_t newtime;
 #endif
-
-	count_io_event(source, "main");
 
 #ifdef FLOOD_SEND	
Index: bitlbee.h
===================================================================
--- bitlbee.h	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ bitlbee.h	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -107,5 +107,4 @@
 #include "help.h"
 #include "query.h"
-#include "debug.h"
 #include "sock.h"
 
Index: commands.c
===================================================================
--- commands.c	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ commands.c	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -52,5 +52,4 @@
 	{ "import_buddies", 1, cmd_import_buddies },
 	{ "qlist",          0, cmd_qlist },
-	{ "dump",	    0, cmd_dump },
 	{ NULL }
 };
@@ -785,9 +784,2 @@
 	return( 0 );
 }
-
-int cmd_dump( irc_t *irc, char **cmd ) {
-	write_io_activity();
-	irc_usermsg(irc, "Wrote GIO activity log to disk.");	
-	
-	return( 0 );
-}
Index: conf.c
===================================================================
--- conf.c	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ conf.c	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -2,5 +2,5 @@
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
-  * Copyright 2002-2004 Wilmer van der Gaast and others                *
+  * Copyright 2002-2005 Wilmer van der Gaast and others                *
   \********************************************************************/
 
Index: doc/CHANGES
===================================================================
--- doc/CHANGES	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ doc/CHANGES	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -1,2 +1,8 @@
+Version 1.0:
+- Removed some crashy debugging code.
+- QUIT command now works before logging in. (Mainly an RFC-compliancy fix.)
+
+Finished ...
+
 Version 0.99:
 - Fixed memory initialization bug in OSCAR module that caused crashes on
Index: doc/Makefile
===================================================================
--- doc/Makefile	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ doc/Makefile	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -5,10 +5,10 @@
 	install -m 0644 bitlbee.8 $(DESTDIR)$(MANDIR)/man8/
 	install -m 0644 bitlbee.conf.5 $(DESTDIR)$(MANDIR)/man5/
-	make -C user-guide $@
+	$(MAKE) -C user-guide $@
 
 uninstall:
 	rm -f $(DESTDIR)$(MANDIR)/man8/bitlbee.8*
 	rm -f $(DESTDIR)$(MANDIR)/man5/bitlbee.conf.5*
-	make -C user-guide $@
+	$(MAKE) -C user-guide $@
 
 .PHONY: install uninstall
Index: help.c
===================================================================
--- help.c	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ help.c	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -2,5 +2,5 @@
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
-  * Copyright 2002-2004 Wilmer van der Gaast and others                *
+  * Copyright 2002-2005 Wilmer van der Gaast and others                *
   \********************************************************************/
 
Index: ini.c
===================================================================
--- ini.c	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ ini.c	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -2,5 +2,5 @@
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
-  * Copyright 2002-2004 Wilmer van der Gaast and others                *
+  * Copyright 2002-2005 Wilmer van der Gaast and others                *
   \********************************************************************/
 
Index: irc.c
===================================================================
--- irc.c	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ irc.c	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -162,5 +162,5 @@
 	if( irc->w_watch_source_id > 0 )
 		g_source_remove( irc->w_watch_source_id );
-	g_io_channel_close( irc->io_channel );
+	
 	g_io_channel_unref( irc->io_channel );
 	irc_connection_list = g_slist_remove( irc_connection_list, irc );
@@ -462,4 +462,10 @@
 		}
 		return( 1 );
+	}
+	else if( g_strcasecmp( cmd[0], "QUIT" ) == 0 )
+	{
+		irc_write( irc, "ERROR :%s%s", cmd[1]?"Quit: ":"", cmd[1]?cmd[1]:"Client Quit" );
+		g_io_channel_close( irc->io_channel );
+		return( 0 );
 	}
 	
@@ -637,10 +643,4 @@
 		}
 	}
-	else if( g_strcasecmp( cmd[0], "QUIT" ) == 0 )
-	{
-		irc_write( irc, "ERROR :%s%s", cmd[1]?"Quit: ":"", cmd[1]?cmd[1]:"Client Quit" );
-		g_io_channel_close( irc->io_channel );
-		return( 0 );
-	}
 	else if( g_strcasecmp( cmd[0], "WHO" ) == 0 )
 	{
Index: log.c
===================================================================
--- log.c	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ log.c	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -2,5 +2,5 @@
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
-  * Copyright 2002-2004 Wilmer van der Gaast and others                *
+  * Copyright 2002-2005 Wilmer van der Gaast and others                *
   \********************************************************************/
 
Index: log.h
===================================================================
--- log.h	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ log.h	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -2,5 +2,5 @@
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
-  * Copyright 2002-2004 Wilmer van der Gaast and others                *
+  * Copyright 2002-2005 Wilmer van der Gaast and others                *
   \********************************************************************/
 
Index: protocols/msn/sb.c
===================================================================
--- protocols/msn/sb.c	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ protocols/msn/sb.c	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -2,5 +2,5 @@
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
-  * Copyright 2002-2004 Wilmer van der Gaast and others                *
+  * Copyright 2002-2005 Wilmer van der Gaast and others                *
   \********************************************************************/
 
Index: protocols/nogaim.c
===================================================================
--- protocols/nogaim.c	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ protocols/nogaim.c	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -468,5 +468,5 @@
 void do_error_dialog( struct gaim_connection *gc, char *msg, char *title )
 {
-	irc_usermsg( gc->irc, "%s(%s) - Error: %s", gc->username, title, msg );
+	irc_usermsg( gc->irc, "%s(%s) - Error: %s", gc->prpl->name, gc->username, msg );
 }
 
Index: protocols/oscar/aim_internal.h
===================================================================
--- protocols/oscar/aim_internal.h	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ protocols/oscar/aim_internal.h	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -107,5 +107,4 @@
 
 void aim_initsnachash(aim_session_t *sess);
-aim_snacid_t aim_newsnac(aim_session_t *, aim_snac_t *newsnac);
 aim_snacid_t aim_cachesnac(aim_session_t *sess, const guint16 family, const guint16 type, const guint16 flags, const void *data, const int datalen);
 aim_snac_t *aim_remsnac(aim_session_t *, aim_snacid_t id);
Index: protocols/oscar/snac.c
===================================================================
--- protocols/oscar/snac.c	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ protocols/oscar/snac.c	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -14,4 +14,6 @@
 
 #include <aim.h>
+
+static aim_snacid_t aim_newsnac(aim_session_t *sess, aim_snac_t *newsnac);
 
 /*
@@ -51,5 +53,5 @@
  * list/hash.
  */
-aim_snacid_t aim_newsnac(aim_session_t *sess, aim_snac_t *newsnac)
+static aim_snacid_t aim_newsnac(aim_session_t *sess, aim_snac_t *newsnac)
 {
 	aim_snac_t *snac;
Index: protocols/proxy.c
===================================================================
--- protocols/proxy.c	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ protocols/proxy.c	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -97,32 +97,4 @@
 }
 
-#ifdef PROXYPROFILER
-struct proxyprofiler
-{
-	GaimInputFunction function;
-	gpointer data;
-	
-	int count;
-	
-	struct proxyprofiler *next;
-} *pp = NULL;
-
-void proxyprofiler_dump()
-{
-	struct proxyprofiler *l;
-	char s[128];
-	FILE *fp;
-	
-	sprintf( s, "proxyprofiler.%d", (int) getpid() );
-	fp = fopen( s, "w" );
-	
-	fprintf( fp, "%-18s  %-18s  %10s\n", "Function", "Data", "Count" );
-	for( l = pp; l; l = l->next )
-		fprintf( fp, "0x%-16x  0x%-16x  %10d\n", (int) l->function, (int) l->data, l->count );
-	
-	fclose( fp );
-}
-#endif
-
 static gboolean gaim_io_invoke(GIOChannel *source, GIOCondition condition, gpointer data)
 {
@@ -130,30 +102,4 @@
 	GaimInputCondition gaim_cond = 0;
 
-#ifdef PROXYPROFILER
-	struct proxyprofiler *l;
-	
-	for( l = pp; l; l = l->next )
-	{
-		if( closure->function == l->function && closure->data == l->data )
-			break;
-	}
-	if( l )
-	{
-		l->count ++;
-	}
-	else
-	{
-		l = g_new0( struct proxyprofiler, 1 );
-		l->function = closure->function;
-		l->data = closure->data;
-		l->count = 1;
-		
-		l->next = pp;
-		pp = l;
-	}
-#endif
-	
-	count_io_event(source, "proxy");
-	
 	if (condition & GAIM_READ_COND)
 		gaim_cond |= GAIM_INPUT_READ;
Index: protocols/ssl_nss.c
===================================================================
--- protocols/ssl_nss.c	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ protocols/ssl_nss.c	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -2,10 +2,10 @@
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
-  * Copyright 2002-2004 Wilmer van der Gaast and others                *
+  * Copyright 2002-2005 Wilmer van der Gaast and others                *
   \********************************************************************/
 
 /* SSL module - NSS version                                             */
 
-/* Copyright 2004 Jelmer Vernooij                                       */
+/* Copyright 2005 Jelmer Vernooij                                       */
 
 /*
Index: set.c
===================================================================
--- set.c	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ set.c	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -2,5 +2,5 @@
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
-  * Copyright 2002-2004 Wilmer van der Gaast and others                *
+  * Copyright 2002-2005 Wilmer van der Gaast and others                *
   \********************************************************************/
 
Index: unix.c
===================================================================
--- unix.c	(revision f7f3ada3350c2a0a99ed307350a230583802cfe0)
+++ unix.c	(revision b135438c4c6aeb5a7cd3403f0cf37e741d589cd3)
@@ -36,5 +36,4 @@
 
 static void sighandler( int signal );
-gboolean bitlbee_dirty_workaround( gpointer data );
 
 int main( int argc, char *argv[] )
@@ -96,21 +95,8 @@
 		log_message( LOGLVL_WARNING, "Error opening helpfile %s.", HELP_FILE );
 	
-	/* Workaround against runaway problems. Bah, this is really dirty,
-	   but in the end not really different from the <=0.91 situation,
-	   which makes it an acceptable temporary "solution". */
-	// g_timeout_add( 0, bitlbee_dirty_workaround, NULL );
-	
 	g_main_run( global.loop );
 	
 	return( 0 );
 }
-
-gboolean bitlbee_dirty_workaround( gpointer data )
-{
-	usleep( 50000 );
-	return( TRUE );
-}
-
-void proxyprofiler_dump();
 
 static void sighandler( int signal )
@@ -142,13 +128,4 @@
 		}
 	}
-#ifdef PROXYPROFILER
-	else if( signal == SIGXCPU )
-	{
-		write_io_activity();
-		proxyprofiler_dump();
-		log_message( LOGLVL_ERROR, "Received SIGXCPU, dumping some debugging info." );
-		exit( 1 );
-	}
-#endif
 	else if( signal != SIGPIPE )
 	{
